pbmtextps(1)

NAME
pbmtextps - render text into a bitmap via postscript

SYNOPSIS
pbmtextps [-font fontfile] [-fontsize fontsize] [-resolution resolution] [-stroke strokesize] [-verbose [text]

DESCRIPTION

pbmtextps takes a single line of text from the command line and renders it into a PBM image. The image is cropped at the top and the right. It is not cropped at the left or bottom so that the text begins at the same position relative to the origin. You can use pnmcrop to crop it all the way.

OPTIONS

-font
    By default, pbmtextps uses TimesRoman. You can specify the font to use with the -font option. This is the name of any valid postscript font which is installed on your system.

-fontsize
    Size of font in points. See the -resolution option for information on how to interpret this size. Default is 24 points.

-resolution
    Resolution in dots per inch of distance measurements pertaining to generation of the image. PBM images don't have any inherent resolution, so a distance such as "1 inch" doesn't mean anything unless you separately specify what resolution you're talking about. That's what this option does. In particular, the meaning of the font size is determined by this resolution. If the font size is 24 points and the resolution is 150 dpi, then the font size is 50 pixels. Default is 150 dpi.

-stroke
    Width of line to use for stroke font. There is no default stroke width because the letters are solid by default.

USAGE
See pbmtext for usage examples.

SEE ALSO
pbmtext(1), pnmcut(1), pnmcrop(1), pnmcomp(1), ppmchange(1), pnmrotate(1), ppmlabel(1), pbm(5)

AUTHOR
Copyright (C) 2002 by James McCann